package pacemaker;

import peersim.core.Node;
import peersim.core.Protocol;

/**
 * Pulse = The message passed among nodes.
 * @author Tony Binci
 *
 */
class Pulse 
{
	Node src;
	Protocol sender;

	Pulse(Node src, Protocol sender)
	{
		this.src = src;
		this.sender = sender;
	}

	void set(Node src, Protocol sender)
	{
		this.src = src;
		this.sender = sender;
	}

}	